%define aurox_ver 10.1
%define rel 2

Summary: multisystem tool suite for mobile phones
Name:	 gnokii
Version: 0.6.3
Release: %{aurox_ver}.aur.%{rel}
License: GPL
Group:	 System Environment/Libraries 
Source:	 http://www.gnokii.org/download/gnokii-0.6.3.tar.bz2
Source1: xgnokii.desktop 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gettext
BuildRequires: gtk+-devel
BuildRequires: bluez-libs-devel

%description
Gnokii is a multisystem tool suite and (eventually) modem/fax driver for
the mobile phones, released under the GPL.

%package xgnokii
Summary: Graphical tool/suite for mobile phones.
Group:	 Applications/System 
Requires: %{name} = %{version}-%{release}
Obsoletes: gnokii-gui
%description xgnokii
Xgnokii is a graphical gtk+ based tool suite for the mobile phones. It
allows you to edit your contacts book, send/read SMS's from/in your
computer and more.

%package devel
Summary: Headers for %{name} application development
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
%description devel
Header files needed for developing applications using %{name} 


%prep
%setup -q


%build
%configure \
  --enable-relocatable \
  --disable-static \
  --enable-security 

# Not smp safe
#make %{?_smp_mflags}
make



%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}
sed 's#/usr/local/sbin/#%{_sbindir}#' <Docs/sample/gnokiirc >${RPM_BUILD_ROOT}%{_sysconfdir}/gnokiirc

desktop-file-install --vendor Aurox \
 --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}
	  
# Hack-install manpages
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man{1,8}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/X11R6/man/man1
install -m644 -p Docs/man/*.1* ${RPM_BUILD_ROOT}%{_mandir}/man1/
install -m644 -p Docs/man/*.8 ${RPM_BUILD_ROOT}%{_mandir}/man8/

## Unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/gnokii

%find_lang %{name}


#pre
#usr/sbin/groupadd -r -f gnokii >/dev/null 2>&1
#preun
#if [ $1 -eq 0 ]; then
#  /usr/sbin/groupdel gnokii >/dev/null 2>&1
#fi

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%clean
rm -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root)
%doc Docs/* utils/*.sis 
%config %{_sysconfdir}/gnokiirc
%{_bindir}/gnokii*
%{_bindir}/ppm2nokia
%{_bindir}/sendsms
%{_bindir}/todologo
%{_sbindir}/*
%{_libdir}/lib*.so.*
%{_mandir}/man1/*1.gz

%files xgnokii 
%defattr(-,root,root)
%{_bindir}/xgnokii
%{_datadir}/xgnokii
%{_datadir}/applications/*
%{_mandir}/man1/*1x.gz

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_mandir}/man8/*8.gz


%changelog
* Wed Nov 03 2004 Aurox Team <aurox@aurox.org> 0:0.6.3-10.1.aur.2
- for gui, use group Group: Applications/Communications, too.
- remove not shipped .a file
- cleanup build root usage
- gnokii-gui require gnokii
- BuildRequire bluez-libs-devel gtk+-devel
- use nice icon from samples dir
- fix config file like in gnokii spec
- update desktop file
- new release 0.5.10
- rename package with graphical env. in sync with Dag Wieers' packages

* Thu Jul 29 2004 Rex Dieter <rexdieter at sf.net> 0.6.3-0.fdr.1
- xgnokii subpkg (it's pretty big)

* Tue Jul 27 2004 Rex Dieter <rexdieter at sf.net> 0.6.3-0.fdr.0
- fedora'ize
- simple pkg for now (no gnokii user/group, no xgnokii subpkg)

* Fri Jan 30 2004 Pawel Kot <pkot@linuxnews.pl>
- gnokii is for mobile phones not only for Nokia mobile phones and also
  works with non unix systems

* Tue Jan 20 2004 Pawel Kot <pkot@linuxnews.pl>
- install *.a and *.la into -devel package

* Wed Apr  2 2003 Tom G. Christensen <tom.christensen@get2net.dk>
- add a -devel package
- add manpages to package 
- use proper %{_*dir} macros when referring to paths
- use make DESTDIR for install
- made sure that no files are left unpackaged

* Sat Jan  4 2003 Pawel Kot <pkot@linuxnews.pl>
- reflect changes in the file layout

* Thu Aug 15 2002 Pawel Kot <pkot@linuxnews.pl>
- misc path problems fixed

* Fri Apr 12 2002 Pawel Kot <pkot@linuxnews.pl>
- replace 'Copyright' with 'License' (submitted by Rui Miguel Silva Seabra)

* Fri Sep 28 2001 Pawel Kot <pkot@linuxnews.pl>
- last minute fixes

* Thu Sep 27 2001 Pawel Kot <pkot@linuxnews.pl>
- updates to 0.3.3 version - new docs, new ftp server

* Sun Sep  2 2001 Pawel Kot <pkot@linuxnews.pl>
- removes xlogos

* Thu Jan 11 2001 Pawel Kot <pkot@linuxnews.pl>
- misc updates

* Fri Oct 27 2000 Pavel Janik ml. <Pavel.Janik@linux.cz>
- todologo added to the package

* Mon May 15 2000 Pavel Janik ml. <Pavel.Janik@linux.cz>
- proper access rights for gnokiid, gnokii and mgnokiidev

* Sat May 13 2000 Pavel Janik ml. <Pavel.Janik@linux.cz>
- new doc files added

* Tue Mar 21 2000 Pavel Janik ml. <Pavel.Janik@linux.cz>
- permission on /usr/sbin fixed
- correct /etc/gnokiirc file

* Mon Mar 20 2000 Pavel Janik ml. <Pavel.Janik@linux.cz>
- mkdir of directories in install removed
- xgnokii package should contain lib/xgnokii directory

* Mon Mar 20 2000 Jan Derfinak <ja@mail.upjs.sk>
- split package into gnokii and xgnokii
- added configure
- correct xgnokii installation
- installation with make install
- fixing paths

* Thu Aug  5 1999 Pavel Janik ml. <Pavel.Janik@linux.cz>
- documentation files changed

* Thu Aug  5 1999 Pavel Janik ml. <Pavel.Janik@linux.cz>
- xkeyb and xlogos added to RPM package

* Sat Jul 24 1999 Pavel Janik ml. <Pavel.Janik@linux.cz>
- stripping of binaries

* Thu Jul 22 1999 Pavel Janik ml. <Pavel.Janik@linux.cz>
- gnokii.nol added - nice example for logo uploading

* Sun Jul 18 1999 Pavel Janik ml. <Pavel.Janik@linux.cz>
- mgnokiidev added to RPM package
- config file in /etc (it is not used now...)

* Sat Jul 10 1999 Pavel Janik ml. <Pavel.Janik@linux.cz>
- use of ~/.gnokiirc so not magic model stuff
- new doc files

* Mon Jun 28 1999 Pavel Janik ml. <Pavel.Janik@linux.cz>
- Nokia auth. protocol is there now
- xgnokii and gnokiid added to RPM

* Sun May  9 1999 Pavel Janik ml. <Pavel.Janik@linux.cz>
- included 6110-patch updated to my prepatches

* Thu May  6 1999 Pavel Janik ml. <Pavel.Janik@linux.cz>
- TODO-6110 file added to documentation files

* Sun Mar 28 1999 Pavel Janik ml. <Pavel.Janik@linux.cz>
- upgraded to gnokii-0.2.4
- 6110 version of gnokii added

* Fri Mar  5 1999 Pavel Janik ml. <Pavel.Janik@linux.cz>
- the first SPEC file for gnokii
